List Tasks
curl --request GET \
--url http://api.stuut.ai/v1/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.stuut.ai/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.stuut.ai/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"label": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"assignee": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"assignee_id": "<string>",
"close_reason": "<string>",
"completed_action": {},
"created_at": "2023-11-07T05:31:56Z",
"data": [
{
"object": "<string>",
"task_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"data": "<unknown>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"description": "<string>",
"error_reason": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"trigger_event": {
"name": "<string>",
"object": "<string>",
"id": "<string>",
"actor_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"data": null,
"entity": "<unknown>",
"entity_id": "<string>",
"message": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z"
},
"trigger_event_id": "<string>"
}
],
"current_page": 0,
"total_records": 0,
"next_page": null
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Tasks
List Tasks
GET
/
v1
/
tasks
List Tasks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
Required range:
x >= 0The page size
Required range:
1 <= x <= 200Available options:
asc, desc Available options:
modified_at, status, type, created_at Available options:
open, completed, closed, archived, failed, processing, assigned_to_agent Available options:
activity_summary_outreach, activity_summary_payments, auto_response_email, auto_response_call, call_analysis, disable_contact, recommendation_new_contact, scheduled_email_approval, scheduled_call_approval The User identifier, (e.g. usr_abc123).
⌘I
